package com.uas.platform.b2b.filter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import com.uas.platform.b2b.data.support.SpObserver;

public class DataSourceInterceptor extends HandlerInterceptorAdapter {

	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
		SpObserver.putSp("defaultDataSource");
		return super.preHandle(request, response, handler);
	}

}
